#Steppables

import CompuCell
import PlayerPython
from PySteppables import *

class PixelTrackerSteppable(SteppableBasePy):
    def __init__(self,_simulator,_frequency=10):
        SteppableBasePy.__init__(self,_simulator,_frequency)

    def start(self):
        
        for cell in self.cellList:
            cell.targetVolume=25
            cell.lambdaVolume=20            

    def step(self,mcs):
        
        
        field=CompuCell.getConcentrationField(self.simulator,"FGF")
        
        
        for cell in self.cellList:
            AC=0.0
            # Make sure PixelTracker plugin is loaded
            pixelList=self.getCellPixelList(cell)
            for pixelTrackerData in pixelList:
                
                AC+=field.get(pixelTrackerData.pixel)            
                
            AC/=cell.volume
#             print 'AC for cell.id=',cell.id,' is: ',AC            




# class PixelTrackerSteppable(SteppableBasePy):
#     def __init__(self,_simulator,_frequency=10):
#         SteppableBasePy.__init__(self,_simulator,_frequency)

#     def start(self):
        
#         for cell in self.cellList:
#             cell.targetVolume=25
#             cell.lambdaVolume=20            

#     def step(self,mcs):
        
#         field=CompuCell.getConcentrationField(self.simulator,"FGF")
        
#         for cell in self.cellList:
            
#             pixelList=self.getCellPixelList(cell)
#             conc=0.0
#             for pixelTrackerData in pixelList:
#                 conc+=field.get(pixelTrackerData.pixel)
                
#             conc/=pixelList.numberOfPixels()
# #             print 'conc=',conc
# #                 print "pixel of cell id=",cell.id," type:",cell.type, " = ",pixelTrackerData.pixel
                    


